[DEPRECATED] List all signers for a document
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
[DEPRECATED — will stop working in API v2] This endpoint is kept for backwards compatibility. Use GET /api/v1/documents/:id/parties instead — "party" is the correct term for a document participant.
Retrieve all signers for a document WITHOUT signing URLs.
This endpoint returns signer information for display purposes. Signing URLs are not included for security reasons.
To get a signer's signing URL (which creates an audit log entry), use the GET /documents/:id/signers/:signerId endpoint.
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
id*string200
application/json- response
signers*array<>curl -X GET 'https://app.sajn.se/api/v1/documents/string/signers' \ -H 'authorization: string'Example Response
{ "signers": [ { "id": "string", "documentId": "string", "email": "user@example.com", "name": "string", "phone": "string", "companyName": "string", "companyRole": "string", "companyOrgNumber": "string", "externalId": "string", "companyId": "string", "ssn": "string", "country": "string", "role": "SIGNER", "signingOrder": 0, "signedAt": "2019-08-24T14:15:22Z", "readStatus": "NOT_OPENED", "signingStatus": "NOT_SIGNED", "deliveryMethod": "EMAIL", "requiredSignature": "NONE", "twoStepVerification": "NONE", "sendStatus": "NOT_SENT", "identityVerified": true, "identityMismatch": true } ]}Was this page helpful?